Subject: Offline Message from Fatima: hi I ordered from the website While takong me t
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 21 Jul 2020 11:51:54 -0000

From: Fatima <[email-masked]>
Phone: 
Location: Abu Dhabi, United Arab Emirates
URL: https://www.mumzworld.com/ar/sales/order/view/order_id/1621820/
Department: 

hi
I ordered from the website 
While takong me to the bank page to put the password I lose the connection,  when i try again it take me out of the page 
Can you help me please to complete the payment online. 
This is the order number 700247493

----
Zopim
https://www.zopim.com